Opened 14 years ago

Closed 14 years ago

#2361 closed task (fixed)

hal-0.5.9.1/hal-info-20070618

Reported by: dnicholson@… Owned by: dnicholson@…
Priority: normal Milestone: 6.3
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Change History (4)

comment:1 by Randy McMurchy, 14 years ago

Resolution: fixed
Status: newclosed

Updated BLFS to HAL-0.5.9.1 and HAL Info-20070618. Removed the required Python dependency.

comment:2 by dnicholson@…, 14 years ago

Resolution: fixed
Status: closedreopened

I didn't quite catch this before when you added the dbus-python dep, but it's a little off right now. You need to have python so the device-manager python sources can be compiled. But pygtk, dbus-python, etc. aren't needed until runtime.

So, it should have Python in the Optional Dependencies (for hal-device-manager) section. Then dbus-python should be in with gnome-python in the Run-Time Dependencies section. I can change this if you want.

comment:3 by Randy McMurchy, 14 years ago

I got it, Dan. Thanks. I've made the changes and am validating. Will commit in a couple of minutes.

comment:4 by Randy McMurchy, 14 years ago

Resolution: fixed
Status: reopenedclosed

Clarified the build-time and run-time Python dependencies.

Note: See TracTickets for help on using tickets.